Bug 470872 - Live CD should have a boot option to log in immediately w/o delay
Live CD should have a boot option to log in immediately w/o delay
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 13:10 EST by probono
Modified: 2013-01-09 23:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 12:59:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description probono 2008-11-10 13:10:56 EST
Description of problem:
Fedora 10 Live CD shows GDM login window, while most other Live CDs boot directly into the working desktop w/o delay

How reproducible:
Totally

Steps to Reproduce:
1. Boot Fedora 10 Live CD
  
Actual results:
Shows a login window

Expected results:
Boots directly into a working desktop

Additional info:
A boot option like "nogdm" could be used, so that this behavior needs to be specifically enabled.
Comment 1 Jeremy Katz 2008-11-11 11:24:55 EST
There are lots of things that we do differently than other live images.  Adding more options just means more things to test and more things that can go wrong, so I'm not really sure that adding an option is really worth it.

What is the problem you're trying to solve by having it log in with no delay?
Comment 2 Bill Nottingham 2008-11-11 11:37:39 EST
Presumably the extra 5-10 seconds for it to start up GDM only to tear it down?
Comment 3 probono 2008-11-11 11:52:43 EST
With the broad usage of Live USB sticks today, many people use Live systems as their main work systems. Hence, every cut in boot time and -complexity (1 extra click) is appreciated.

(Sure, there is always more than 1 way to do things. I'm just trying to bring together the best aspects from the various Live USB systems.)
Comment 4 Jeremy Katz 2008-11-11 11:57:37 EST
If you're using it for your main work system, though, hopefully you're doing so with some form of persistence.  At which point, you can configure gdm yourself and the change will stick.
Comment 5 Jesse Keating 2008-11-11 14:45:47 EST
Not to mention that if you're using it for your main system, you likely have private data that you wouldn't want to fall into the hands of somebody else, so instant autologin sounds like a bad idea.
Comment 6 probono 2008-11-25 18:20:03 EST
Use case: I regularly put in a Live USB stick, power on the machine, and do something away from the computer until the desktop is fully loaded and usable. (I do not use persistence, however.)
Comment 7 Jeremy Katz 2008-12-01 12:59:10 EST
If you're stepping away from the computer, then the fact that it logs in seems somewhat less than interesting.

I think that the main use cases here are handled with persistence.  Adding more special case parsing into the scripting is just going to get out of hand, especially to handle across the breadth of live images

Note You need to log in before you can comment on or make changes to this bug.